// Generator DDS z wobulatorem - 3rd ed.
// AVT-5980 - by Adam Sobczyk SQ5RWQ
// Definicje literalow i deklaracje funkcji pomocniczych (header file)

#ifndef AVT_5980_FUNCTIONS_H

#define AVT_5980_FUNCTIONS_H
#define F_const 34.359738368				// stala skalujaca do przeliczania F DDS-a do zaladowania: 2^32 / 125e6 -> l-ba komb. rej. / Fclk

void ext_int1_init(void);   										// INT1 external interrupt init
void dds_init(void);														// inicjalizacja modulu DDS
void dds_freq_set(uint32_t Fint);								// ustawianie F roboczej DDS-a
void F_show(uint8_t F_which, uint32_t Fg);			// wyswietlanie aktualnej Fg, Fl albo Fh (F_which=1,2,3)
void dFg_show(uint32_t dFg);										// wyswietlanie aktualnego dFg
void Fw_show(uint16_t Fw);											// wyswietlanie aktualnej Fw
void adc_init(void);														// inicjalizacja ADC
uint16_t adc_read(char channel);								// odczyt wartosci ADC z wybranego kanalu w zakresie 0..7
float Vout_measure(void);												// pomiar aktualnego Vout
void Vout_show(float Vout);											// wyswietlanie aktualnego Vout
void pwm_init(void); 														// konfiguracja i inicjalizacja PWM/OCR1B/PB.2
void tc0_config(void);													// konfiguracja timera TC0
void tc0_start(void);														// start timera TC0
void tc0_stop(void);														// zatrzymanie timera TC0


#endif		/* AVT_5980_FUNCTIONS_H */

